
package de.ivu.elect.business.konfiguration.entity;

import de.ivu.elect.business.mandant.entity.Mandant;

public class KonfigurationLoaderContext implements CustomParameterLoaderContext<ElectSystemMandantKonfigurationWerte> {

  private final Mandant mandant;

  private final ElectSystemMandantKonfigurationWerte template;

  public KonfigurationLoaderContext(Mandant mandant, ElectSystemMandantKonfigurationWerte template) {
    super();
    this.mandant = mandant;
    this.template = template;
  }

  @Override
  public ElectSystemMandantKonfigurationWerte getTemplate() {
    return template;
  }

  public Mandant getMandant() {
    return mandant;
  }

  @Override
  public String toString() {
    return "KonfigurationLoaderContext{" +
        "mandant=" + mandant +
        ", template=" + template +
        '}';
  }
}
